# Interface IDecorationContext

All Known Implementing Classes:
  `DecorationContext`

public interface IDecorationContext
A decoration context provides additional information to a label decorator.

This interface is not intended to be implemented by clients

Since:
  3.2
See Also:
  - `LabelDecorator`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getProperties()`
Return the properties that exist in this context (i.e. the set of properties that have values associated with them.
`Object`
`getProperty(String property)`
Get the value of the given property or `null` if the property does not exist in this context.

## Method Details

### getProperty

Object getProperty(String property)
Get the value of the given property or `null` if the property does not exist in this context.

Parameters:
  `property` - the property
Returns:
  the value of the given property or `null`

### getProperties

String[] getProperties()
Return the properties that exist in this context (i.e. the set of properties that have values associated with them.

Returns:
  the properties that exist in this context